import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { StartBotRecommendationRequestFilterSensitiveLog, StartBotRecommendationResponseFilterSensitiveLog, } from "../models/models_1";
import { de_StartBotRecommendationCommand, se_StartBotRecommendationCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class StartBotRecommendationCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LexModelBuildingServiceV2", "StartBotRecommendation", {})
    .n("LexModelsV2Client", "StartBotRecommendationCommand")
    .f(StartBotRecommendationRequestFilterSensitiveLog, StartBotRecommendationResponseFilterSensitiveLog)
    .ser(se_StartBotRecommendationCommand)
    .de(de_StartBotRecommendationCommand)
    .build() {
}
