import { WaiterConfiguration, WaiterResult } from "@smithy/util-waiter";
import { DescribeImportCommandInput } from "../commands/DescribeImportCommand";
import { LexModelsV2Client } from "../LexModelsV2Client";
/**
 * Wait until a bot has been imported
 *  @deprecated Use waitUntilBotImportCompleted instead. waitForBotImportCompleted does not throw error in non-success cases.
 */
export declare const waitForBotImportCompleted: (params: WaiterConfiguration<LexModelsV2Client>, input: DescribeImportCommandInput) => Promise<WaiterResult>;
/**
 * Wait until a bot has been imported
 *  @param params - Waiter configuration options.
 *  @param input - The input to DescribeImportCommand for polling.
 */
export declare const waitUntilBotImportCompleted: (params: WaiterConfiguration<LexModelsV2Client>, input: DescribeImportCommandInput) => Promise<WaiterResult>;
